
import http from '../../util/http'

// 列表
export const getAdjustWaitOutList = (params) => {
	return http('/ecw/box-air-checkout/getBoxAirCheckout4PDAPage', params, {
		method: 'GET',
	})
}
// 获得出仓
export const boxAirCheckoutGet = (params) => {
	return http('/ecw/box-air-checkout/get', params, {
		method: 'GET',
	})
}
// 批量调拨出仓
export const warehouseAdjustSendOutBatch = (params) => {
	return http('/ecw/box-air-checkout/update', params, {
		method: 'PUT',
	})
}
// 空运出仓
export const warehouseCreate = (params) => {
	return http('/ecw/box-air-checkout/create', params, {
		method: 'POST',
	})
}
//获得供应商分页
export const getSupplierPage = (params) => {
	return http('/ecw/supplier/page', params, {
		method: 'GET',
	})
}

//获得出货
export const getAirShipmentByShipmentId = (params) => {
	return http('/ecw/box-air-shipment/getAirShipmentByShipmentId', params, {
		method: 'GET',
	})
}

//获得出货
export const getAirCheckoutByShipmentId = (params) => {
	return http('/ecw/box-air-checkout/getAirCheckoutByShipmentId', params, {
		method: 'GET',
	})
}
// //获得调仓明细
// export const orderWarehouseInGetAdjustInfo = (params) => {
// 	return http('/order/order-warehouse-in/get-adjust-info', params, {
// 		method: 'GET',
// 	})
// }

// export const listByOrderId = (params) => {
// 	return http('/order/location/list-by-order-id', params, {
// 		method: 'GET',
// 	})
// }

// // 获得仓库查询库域
// export const getByWarehouseId = (params) => {
// 	return http('/ecw/warehouse-area/getByWarehouseId', params, {
// 		method: 'GET',
// 	})
// }
// // 调拨出仓
// export const warehouseAdjustSendOut = (params) => {
// 	return http('/order/order-warehouse-in/warehouse-adjust-send-out', params, {
// 		method: 'PUT',
// 	})
// }



// //获得订单仓库图片分页
// export const orderWarehousePicturePage = (params) => {
// 	return http('/order/warehouse-picture/page', params, {
// 		method: 'GET',
// 	})
// }



// /**
//  * 获得订单入仓-调仓-转异相关的仓库影像列表
//  * @param data
//  * @returns {*}
//  */
// export function warehousePictureList(data){
//   return http('/order/warehouse-picture/list', data, {
//     method: 'POST',
//   })
// }


/**
 * 获取订单号和合包箱号详情
 */
export const searchLoadOrderByBoxNo = (params) => {
	return http(`/ecw/box-order-check-info/searchLoadOrderByBoxNo`, params, {
	  method: 'POST',
	});
  }

  /**
 * 出仓
 *
 * @param {*} params
 * @returns
 */
export const singleAirCreate = (params) => {
	return http('/ecw/box-load-info/singleAirCreate', params, {
	  method: 'POST',
	  loading: true,
	  errorHandle: false,
	});
  };

/**
 * 批量出仓
 *
 * @param {*} params
 * @returns
 */
export const batchAirCreate = (params) => {
	return http('/ecw/box-load-info/batchAirCreate', params, {
	  method: 'POST',
	  loading: true,
	});
  };